# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
weka.core.Matrix
Use `weka.core.matrix.Matrix` instead - only for backwards compatibility.

Deprecated Methods
Method
Description
weka.clusterers.Cobweb.addInstance(Instance)
updateClusterer(Instance) should be used instead
weka.core.Instances.readInstance(Reader)
instead of using this method in conjunction with the `readInstance(Reader)` method, one should use the `ArffLoader` or `DataSource` class instead.

Deprecated Constructors
Constructor
Description
weka.core.Instances(Reader, int)
instead of using this method in conjunction with the `readInstance(Reader)` method, one should use the `ArffLoader` or `DataSource` class instead.
weka.gui.PropertyDialog(PropertyEditor, int, int)
instead of this constructor, one should use the constructors with an explicit owner (either derived from `java.awt.Dialog` or from `java.awt.Frame`) or, if none available, using `(Frame) null` as owner.